Обход ограничений безопасности в SSSD

Дата публикации:
20.03.2013
Дата изменения:
20.03.2013
Всего просмотров:
805
Опасность:
Низкая
Наличие исправления:
Инстуркции по устранению
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:A/AC:M/Au:N/C:P/I:P/A:P/E:U/RL:W/RC:C) = Base:5.4/Temporal:4.4
CVE ID:
CVE-2013-0287
Вектор эксплуатации:
Локальная сеть
Воздействие:
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
SSSD 1.x
Уязвимые версии: SSSD 1.9.0, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю обойти некоторые ограничения безопасности.

Уязвимость существует из-за того, что приложение неправильно ограничения доступа, когда Simple Access Provider использует опцию "simple_deny_groups" (/etc/sssd/sssd.conf). Удаленный пользователь может обойти контроль доступа.

Примечание: Для успешной эксплуатации уязвимости необходимо, чтобы приложение было настроено на использование Microsoft Active Directory Provider.

URL производителя: https://fedorahosted.org/sssd/

Решение: Установите обновление из GIT репозитория.

Ссылки: https://lists.fedorahosted.org/pipermail/sssd-devel/2013-March/014066.html
http://git.fedorahosted.org/cgit/sssd.git/patch/?id=8b8019fe3dd1564fba657e219ec20ff816c7ffdb
http://git.fedorahosted.org/cgit/sssd.git/patch/?id=26590d31f492dbbd36be6d0bde46a4bd3b221edb
http://git.fedorahosted.org/cgit/sssd.git/patch/?id=754b09b5444e6da88ed58d6deaed8b815e268b6b
http://git.fedorahosted.org/cgit/sssd.git/patch/?id=b63830b142053f99bfe954d4be5a2b0f68ce3a93
http://git.fedorahosted.org/cgit/sssd.git/patch/?id=c0bca1722d6f9dfb654ad78397be70f79ff39af1
http://git.fedorahosted.org/cgit/sssd.git/patch/?id=6569d57e3bc168e6e83d70333b48c5cb43aa04c4
http://git.fedorahosted.org/cgit/sssd.git/patch/?id=6837eee3f7f81c0ee454d3718d67d7f3cc6b48ef
http://git.fedorahosted.org/cgit/sssd.git/patch/?id=7619be9f6bf649665fcbeee9e6b120f9f9cba2a5
https://bugzilla.redhat.com/show_bug.cgi?id=910938

или введите имя

CAPTCHA